Public Interface BLUEBOXLibInterface

    Function _GetSwRelease(ByVal SwRel As System.Text.StringBuilder) As Integer

    Function _Init(ByRef Handle As Integer) As Integer

    Function _End(ByRef Handle As Integer) As Integer

    Function _SetAddress(ByRef Handle As Integer, ByVal Address As Byte) As Integer

    Function _SetChannel(ByRef Handle As Integer, ByVal Channel As String, ByVal Settings As String) As Integer

    Function _Open(ByRef Handle As Integer) As Integer

    Function _Close(ByRef Handle As Integer) As Integer

    Function _GetFwRelease(ByRef Handle As Integer, ByVal Reader As Integer, ByVal FwRel As System.Text.StringBuilder) As Integer

    Function _ReadParameters(ByRef Handle As Integer, ByVal Reader As Byte()) As Integer

    Function _DataRequest(ByRef Handle As Integer, ByRef Tags As IntPtr, ByRef TagsNo As Integer) As Integer

    Function _FreeTagsMemory(ByRef Handle As Integer, ByRef Tags As IntPtr, ByVal TagsNo As Integer) As Integer

End Interface
